## Name

gfls — list contents of Gfarm directory

## Synopsis

`gfls` [`options`] [`path`...]

## DESCRIPTION

List information of files or contents of directories specified by `path`.

## OPTIONS

`-a`

  Do not hide entries starting with ``.''.

`-A`

  Do not list ``.'' and ``..''.

`-C`

  Multi-column output. This is the default output format.

`-D`

  Display dirset name of the directory quota feature.

`-d`

  List directory entries instead of the contents.

`-E` `seconds`

  Specifies seconds to hold attribute cache. If 0 is specified, attributes won't be cached.

`-F`

  Append indicator (one of */=@|) to entries.

`-h`

  Display numbers in human readable format by adding a prefix multiplier symbol like "M" (mega). Since this option uses powers of 1024, "M" means 1,048,576.

`-i`

  Display inode number.

`-l`

  List in long format, including mode, owner, group, size in bytes, time of last modification for each file.

`-r`

  Reverse the order while sorting.

`-R`

  Recursively lists subdirectories encountered.

`-S`

  Sort by file size.

`-t`

  Sort by time stamp instead of by name.

`-T`

  With the `-l` option, show complete date format.

`-1`

  Prints one entry per line of output.

`-?`

  displays a list of command options.